Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaPolyDataMapper2D Class Reference

`#include <vtkMesaPolyDataMapper2D.h>`

Inheritance diagram for vtkMesaPolyDataMapper2D:

[legend]
Collaboration diagram for vtkMesaPolyDataMapper2D:

[legend]
List of all members.

## Public Types
typedef vtkPolyDataMapper2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | RenderOverlay (vtkViewport *viewport, vtkActor2D *actor)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkMesaPolyDataMapper2D * | SafeDownCast (vtkObject *o)
vtkMesaPolyDataMapper2D * | New ()
## Protected Methods
| vtkMesaPolyDataMapper2D ()
| ~vtkMesaPolyDataMapper2D ()

## Member Typedef Documentation

typedef vtkPolyDataMapper2D vtkMesaPolyDataMapper2D::Superclass

| Reimplemented from vtkPolyDataMapper2D. Definition at line 50 of file vtkMesaPolyDataMapper2D.h.

## Constructor & Destructor Documentation

vtkMesaPolyDataMapper2D::vtkMesaPolyDataMapper2D | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkMesaPolyDataMapper2D.h.

vtkMesaPolyDataMapper2D::~vtkMesaPolyDataMapper2D | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkMesaPolyDataMapper2D.h.

## Member Function Documentation

virtual const char* vtkMesaPolyDataMapper2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataMapper2D.

int vtkMesaPolyDataMapper2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataMapper2D.

virtual int vtkMesaPolyDataMapper2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataMapper2D.

vtkMesaPolyDataMapper2D* vtkMesaPolyDataMapper2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataMapper2D.

vtkMesaPolyDataMapper2D* vtkMesaPolyDataMapper2D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkPolyDataMapper2D.

virtual void vtkMesaPolyDataMapper2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataMapper2D.

void vtkMesaPolyDataMapper2D::RenderOverlay | ( | vtkViewport * | viewport,
|  | vtkActor2D * | actor
| ) | `[virtual]`

| Actually draw the poly data. Reimplemented from vtkMapper2D.

The documentation for this class was generated from the following file:

- Rendering/vtkMesaPolyDataMapper2D.h